# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added
- GitHub Actions CI/CD pipeline for automated testing and deployment
- Comprehensive test suite running on multiple Python versions and operating systems
- Automated PyPI publishing on version tags
- Pull request validation workflow
- Weekly maintenance and security audit workflow

### Changed
- Enhanced README with CI/CD status badges and download statistics

## [0.1.0] - 2025-01-20

### Added
- Initial release of Songbird AI coding companion
- 11 professional tools for complete development workflows
- LLM-powered auto-completion for intelligent task management
- Support for 5 AI providers (OpenAI, Claude, Gemini, Ollama, OpenRouter)
- Session-aware todo management with persistence
- Multi-provider AI support with automatic selection
- Dynamic command system with in-chat model switching
- Comprehensive file operations with syntax highlighting
- Advanced search capabilities with glob and regex support
- Atomic multi-file operations with rollback protection
- Beautiful CLI interface with Rich formatting
- Session memory system with project-aware storage
- Cross-platform compatibility (Linux, macOS, Windows)

### Infrastructure
- Modern Python packaging with pyproject.toml and hatchling
- PyPI distribution for easy installation via pip, pipx, and uv
- Comprehensive test suite with pytest
- Documentation with usage examples and troubleshooting
- MIT license for open source distribution

## Links
- [PyPI Package](https://pypi.org/project/songbird-ai/)
- [GitHub Repository](https://github.com/Spandan7724/songbird)
- [Documentation](https://github.com/Spandan7724/songbird/blob/main/README.md)